//
//  MBSqliteAccess.h
//  SifSqlite Framework
//
//  Created by Manfred Bergmann on 04.06.05.
//  Copyright 2005 mabe. All rights reserved.
//

// $Author: mbergmann $
// $HeadURL: file://localhost/Volumes/User/mbergmann/_svnrepo/private/cocoa/SifSqlite/trunk/src/MBSqliteAccess.h $
// $LastChangedBy: mbergmann $
// $LastChangedDate: 2009-08-05 14:58:05 +0100 (Wed, 05 Aug 2009) $
// $Rev: 631 $

#import <Cocoa/Cocoa.h>
#import <SifSqlite/SifSqlite.h>
#import <SifSqlite/sqlite3.h>

@interface MBSqliteAccess : NSObject {
	/**
	\brief This is the connection reference to Sqlite database
	 */
	sqlite3 *sqlCon;
	
	NSString *connectionPath;
	
	NSString *errorMessageOfLastAction;
	int errorCodeOfLastAction;
}

- (id)initWithPath:(NSString *)aPath;
- (id)initInMemory;

- (void)openConnection;
- (void)closeConnection;

- (void)setConnectionPath:(NSString *)aPath;
- (NSString *)connectionPath;

- (void)executeSql:(NSString *)sqlStmt;
- (void)executeSqlBunch:(NSArray *)sqlBunch exclusiveAccess:(BOOL)aSetting;
- (NSArray *)executeQuery:(NSString *)sqlStmt;
- (int)idOfLastInsert;

- (NSString *)errorMessageOfLastAction;
- (int)errorCodeOfLastAction;

// maintenance stuff
- (BOOL)isConnected;

@end
